APP := ./cmd/server
VERSION := $(shell git rev-parse --short HEAD 2>/dev/null || echo "dev")
LDFLAGS := -X git.soup.land/soup/lookbook/internal/static.Version=$(VERSION)

.PHONY: dev run migrate rollback fmt test build

dev:
	hivemind

run:
	go run $(APP) web

migrate:
	go run $(APP) -migrate

rollback:
	go run $(APP) -rollback

fmt:
	go fmt ./...

test:
	go test -v ./...

build:
	CGO_ENABLED=0 go build -ldflags "$(LDFLAGS)" -o bin/lookbook $(APP)
